# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pax /usr/bin/zcat libncurses-devel libnet2-devel libsocket libtinfo-devel
# END SourceDeps(oneline)
Name: ninja
Version: 1.5.8.1
Release: alt1_19
License: GPLv2+
Summary: Text based Internet Relay Chat (IRC) client
Group: Networking/WWW
URL: http://qoop.org/ftp/ninja/
Source0: http://qoop.org/ftp/ninja/sources/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-doc.patch
Patch1: %{name}-%{version}-build.patch
Patch2: ninja.signal-11-718920.patch
Patch3: broken-signal-handler.patch
BuildRequires: ncurses-devel
Source44: import.info

%description
Ninja IRC is yet another ircII-based IRC client. Its many extra features
include enhanced socket handling, additional resolving capabilities,
ANSI and MIRC color support, MIRC-style DCC RESUME, cloak mode, a friend
list, an enemy list, SOCKS v4&5 proxy support, more ircii $func()
functions, auto-rejoin, cycling auto-reconnect, auto-dcc get, improved
ban/unban handling, cached information, NDCC file offering, and much
more.

Install Ninja IRC if you want to participate (troll, lurk, hang out) in
irc channels.  Especially if you want to have power features.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
make

%install
%makeinstall

ln -sf %{name}-%{version} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
mv %{buildroot}%{_mandir}/ninja.* %{buildroot}%{_mandir}/man1/
rm %{buildroot}/%{_datadir}/%{name}/help/.date

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-%{version}
%{_bindir}/%{name}io
%{_bindir}/%{name}flush
%{_bindir}/%{name}wserv
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/script
%{_datadir}/%{name}/translation
%{_datadir}/%{name}/help
%{_mandir}/man1/*
%doc README ChangeLog BUGS+TODO COPYING

%changelog
* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.8.1-alt1_19
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.8.1-alt1_17
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.8.1-alt1_16
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.8.1-alt1_15
- initial fc import

